# eric4.Refactoring.MatchesDialog

### Classes

MatchesDialog | Class implementing a dialog to show matching references/definitions.

### Functions

None

## MatchesDialog

Class implementing a dialog to show matching references/definitions.

### Derived from

QDialog, Ui_MatchesDialog

### Methods

MatchesDialog | Constructor
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
addEntry | Public slot to add a reference to the list.
on_matchesList_itemActivated | Private slot to handle the itemActivated signal of the list.

#### MatchesDialog (Constructor)

MatchesDialog(ui, parent = None, name = None)

Constructor

ui
  reference to the UI object
parent
  parent of this dialog (QWidget)
name
  name of this dialog (string or QString)

#### MatchesDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### MatchesDialog.__resort

__resort()

Private method to resort the tree.

#### MatchesDialog.addEntry

addEntry(ref)

Public slot to add a reference to the list.

#### MatchesDialog.on_matchesList_itemActivated

on_matchesList_itemActivated(itm, column)

Private slot to handle the itemActivated signal of the list.

Up